## gate.creole.gazetteer
Class FSMState

    java.lang.Object
      |
      +--gate.creole.gazetteer.FSMState

All Implemented Interfaces:
  Serializable

class FSMState
extends Object
implements Serializable

Implements a state of the deterministic finite state machine of the gazetter.

See Also:
  Serialized Form

Field Summary
`private static boolean` `DEBUG` Debug flag
`(package private) static int` `index` Class memebre used to generate unique ids for the instances
`(package private) Set` `lookupSet`
`(package private) int` `myIndex` The unique id of this state.
`(package private) charMap` `transitionFunction` The transition function of this state.

Constructor Summary
`FSMState(DefaultGazetteer owner)` Constructs a new FSMState object and adds it to the list of states of the `DefaultGazetteer` provided as owner.

Method Summary
`(package private) static void` `<clinit>()`
`(package private) void` `addLookup(Lookup lookup)` Adds a new looup description to this state's lookup descriptions set
`(package private) String` `getEdgesGML()` Returns a GML (Graph Modelling Language) representation of the edges emerging from this state.
`(package private) int` `getIndex()` Returns the unique ID of this state.
`(package private) Set` `getLookupSet()` Returns a set of `Lookup` objects describing the types of lookups the phrase for which this state is the final one belongs to
`(package private) boolean` `isFinal()` Checks whether this state is a final one
`(package private) FSMState` `next(char chr)` This method is used to access the transition function of this state.
`(package private) void` `put(char chr, FSMState state)` Adds a new value to the transition function
`(package private) void` `removeLookup(Lookup lookup)` Removes a looup description from this state's lookup descriptions set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### transitionFunction

    charMap transitionFunction

  The transition function of this state.

### lookupSet

    Set lookupSet

### myIndex

    int myIndex

  The unique id of this state. This value is never used by the algorithms but it can be useful for graphical representations.

### index

    static int index

  Class memebre used to generate unique ids for the instances

Constructor Detail

### FSMState

    public FSMState(DefaultGazetteer owner)

  Constructs a new FSMState object and adds it to the list of states of the `DefaultGazetteer` provided as owner.
  Parameters:
    `owner` - a `DefaultGazetteer` object

Method Detail

### put

    void put(char chr,
             FSMState state)

  Adds a new value to the transition function

### next

    FSMState next(char chr)

  This method is used to access the transition function of this state.

### getEdgesGML

    String getEdgesGML()

  Returns a GML (Graph Modelling Language) representation of the edges emerging from this state.

### isFinal

    boolean isFinal()

  Checks whether this state is a final one

### getLookupSet

    Set getLookupSet()

  Returns a set of `Lookup` objects describing the types of lookups the phrase for which this state is the final one belongs to

### addLookup

    void addLookup(Lookup lookup)

  Adds a new looup description to this state's lookup descriptions set

### removeLookup

    void removeLookup(Lookup lookup)

  Removes a looup description from this state's lookup descriptions set

### getIndex

    int getIndex()

  Returns the unique ID of this state.

### <clinit>

    static void <clinit>()